def _render_attribute(key, value):
    if value is None:
        value = "null"
    return f'{key}="{value}"'

def build_metric(label, attributes={}, value=1, timestamp=None):
    attrs_fmt = ", ".join([_render_attribute(k, v) for k, v in attributes.items()])
    metric = f"{label}{{{attrs_fmt}}} {value}"
    if timestamp:
        metric = f"{metric} {timestamp}"
    return metric
